API referenceUser fields
List user fields
List each mappable field and where it takes its value from. The list holds the fields Corma defines and the ones the workspace added.
GET
/user-fieldscurl -X GET "https://api.corma.io/v1/user-fields" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
takeintegerqueryDefault:50skipintegerqueryDefault:0
Response
application/json200
OK
paginationPaginationResponseMetarequireditemsUserField[]required
{
"pagination": {
"take": 0,
"skip": 0,
"total": 0
},
"items": [
{
"id": "string",
"label": "string",
"description": "string",
"type": "string",
"origin": "standard",
"inboundMappable": true,
"defaultSources": [
"string"
],
"mapping": {
"mode": "default"
}
}
]
}